Gtk2::ToggleToolButton(3)

NAME
Gtk2::ToggleToolButton - wrapper for GtkToggleToolButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::ToolItem
                                +----Gtk2::ToolButton
                                     +----Gtk2::ToggleToolButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  toolitem = Gtk2::ToggleToolButton->new

  toolitem = Gtk2::ToggleToolButton->new_from_stock ($stock_id)

•   $stock_id (string)

  boolean = $button->get_active

  $button->set_active ($is_active)

•   $is_active (boolean)

PROPERTIES

'active' (boolean : default false : readable / writable / private)
    If the toggle button should be pressed in or not

SIGNALS

toggled (Gtk2::ToggleToolButton)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::ToolItem, Gtk2::ToolButton

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.